Setting Up Mflix java errors

trying to follow the procedure of the chapter “Setting Up Mflix” after the command “min spring-boot:run” I get a sequence of errors:


these are the installed versions:
Apache Maven 3.8.1 (05c21c65bdfed0f71a2f2ada8b84da59348c4c5d)
Maven home: /usr/local/Cellar/maven/3.8.1/libexec
Java version: 16.0.1, vendor: Homebrew, runtime: /usr/local/Cellar/openjdk/16.0.1/libexec/openjdk.jdk/Contents/Home
Default locale: it_CH, platform encoding: UTF-8
OS name: “mac os x”, version: “10.15.7”, arch: “x86_64”, family: “Mac”

does not have an “mflix” database but “Sample-mflix”.
I used Sample-mflix == mflix as you suggest
home I can do to continue in my learning

Hi, recently I saw the same error.
I think this is because the version of Java is not suitable for this project.

Please see the " Local Environment Dependencies” section.

  1. Java 1.8
  • The Java version this course is built against is Java 1.8. You can download the appropriate version for your operating system by clicking here.

Indeed, I got the same error using Java 16 (Amazon Corretto 16).
And I recommend you to use the latest version of Java 1.8, such as 1.8.0_292.

I hope this helps.

Hey @Sebastiano_Barresi,

Are you still facing this error.!!
Kindly let us know so we can help you out.
And thanks @Akiko_T for your response. We appreciate it. :clap:

Regards,
Kushagra